/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { EventEmitter, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AswImageDrawingComponent implements OnInit, OnChanges {
    src?: string;
    width?: number;
    height?: number;
    forceSizeCanvas: boolean;
    forceSizeExport: boolean;
    enableRemoveImage: boolean;
    enableLoadAnotherImage: boolean;
    enableTooltip: boolean;
    showCancelButton: boolean;
    saveBtnText: string;
    cancelBtnText: string;
    loadingText: string;
    loadingTemplate?: TemplateRef<any>;
    errorTemplate?: TemplateRef<any>;
    outputMimeType: string;
    outputQuality: number;
    drawingSizes: {
        [name: string]: number;
    };
    colors: {
        [name: string]: string;
    };
    save: EventEmitter<Blob>;
    cancel: EventEmitter<void>;
    currentTool: string;
    currentSize: string;
    currentColor: string;
    canUndo: boolean;
    canRedo: boolean;
    isLoading: boolean;
    hasError: boolean;
    errorMessage: string;
    private canvas;
    private stack;
    colorsName: string[];
    drawingSizesName: string[];
    private imageUsed?;
    constructor();
    ngOnInit(): void;
    selectTool(tool: string): void;
    selectDrawingSize(size: string): void;
    selectColor(color: string): void;
    undo(): void;
    redo(): void;
    clearCanvas(): void;
    saveImage(): void;
    cancelAction(): void;
    private setUndoRedo;
    importPhotoFromFile(event: Event | any): void;
    removeImage(): void;
    get hasImage(): boolean;
    private importPhotoFromSrc;
    private importPhotoFromBlob;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswImageDrawingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswImageDrawingComponent, "asw-image-drawing", never, { "src": "src"; "width": "width"; "height": "height"; "forceSizeCanvas": "forceSizeCanvas"; "forceSizeExport": "forceSizeExport"; "enableRemoveImage": "enableRemoveImage"; "enableLoadAnotherImage": "enableLoadAnotherImage"; "enableTooltip": "enableTooltip"; "showCancelButton": "showCancelButton"; "saveBtnText": "saveBtnText"; "cancelBtnText": "cancelBtnText"; "loadingText": "loadingText"; "loadingTemplate": "loadingTemplate"; "errorTemplate": "errorTemplate"; "outputMimeType": "outputMimeType"; "outputQuality": "outputQuality"; "drawingSizes": "drawingSizes"; "colors": "colors"; }, { "save": "save"; "cancel": "cancel"; }, never, ["*"]>;
}
